<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja klasy QCPAxisTickerFixed</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('class_q_c_p_axis_ticker_fixed.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="summary">
<a href="#pub-types">Typy publiczne</a> &#124;
<a href="#pub-methods">Metody publiczne</a> &#124;
<a href="#pro-methods">Metody chronione</a> &#124;
<a href="#pro-attribs">Atrybuty chronione</a> &#124;
<a href="class_q_c_p_axis_ticker_fixed-members.html">Lista wszystkich składowych</a>  </div>
  <div class="headertitle"><div class="title">Dokumentacja klasy QCPAxisTickerFixed</div></div>
</div><!--header-->
<div class="contents">

<p>Specialized axis ticker with a fixed tick step.  
 <a href="class_q_c_p_axis_ticker_fixed.html#details">Więcej...</a></p>

<p><code>#include &lt;<a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>&gt;</code></p>
<div class="dynheader">
Diagram dziedziczenia dla QCPAxisTickerFixed</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_fixed__inherit__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_fixed_inherit__map" alt="Inheritance graph"/></div>
<map name="a_q_c_p_axis_ticker_fixed_inherit__map" id="a_q_c_p_axis_ticker_fixed_inherit__map">
<area shape="rect" title="Specialized axis ticker with a fixed tick step." alt="" coords="5,79,148,104"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="21,5,132,31"/>
<area shape="poly" title=" " alt="" coords="79,44,79,79,74,79,74,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<div class="dynheader">
Diagram współpracy dla QCPAxisTickerFixed:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_fixed__coll__graph.png" border="0" usemap="#a_q_c_p_axis_ticker_fixed_coll__map" alt="Collaboration graph"/></div>
<map name="a_q_c_p_axis_ticker_fixed_coll__map" id="a_q_c_p_axis_ticker_fixed_coll__map">
<area shape="rect" title="Specialized axis ticker with a fixed tick step." alt="" coords="5,79,148,104"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels." alt="" coords="21,5,132,31"/>
<area shape="poly" title=" " alt="" coords="79,44,79,79,74,79,74,44"/>
</map>
<center><span class="legend">[<a target="top" href="graph_legend.html">legenda</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-types" name="pub-types"></a>
Typy publiczne</h2></td></tr>
<tr class="memitem:a15b3d38b935d404b1311eb85cfb6a439"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439">ScaleStrategy</a> { <a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439a6621275677a05caa0de204ae3956b85f">ssNone</a>
, <a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439a22f651785f6412645837421896561104">ssMultiples</a>
, <a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439ac39d5813e9165ebd494307ae61ce5dce">ssPowers</a>
 }</td></tr>
<tr class="separator:a15b3d38b935d404b1311eb85cfb6a439"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_types_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pub_types_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Typy publiczne dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:ab6d2f9d9477821623ac9bc4b21ddf49a inherit pub_types_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> { <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa9002aa2fd5633ab5556c71a26fed63a8">tssReadability</a>
, <a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49aa770312b6b9b0c64a37ceeba96e0cd7f2">tssMeetTickCount</a>
 }</td></tr>
<tr class="separator:ab6d2f9d9477821623ac9bc4b21ddf49a inherit pub_types_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pub-methods" name="pub-methods"></a>
Metody publiczne</h2></td></tr>
<tr class="memitem:a96d2b053a15f9b8e94550c3efeff6a34"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a96d2b053a15f9b8e94550c3efeff6a34">QCPAxisTickerFixed</a> ()</td></tr>
<tr class="separator:a96d2b053a15f9b8e94550c3efeff6a34"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a33d1324c8666b4d5df975dea32ed5a28"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a33d1324c8666b4d5df975dea32ed5a28">tickStep</a> () const</td></tr>
<tr class="separator:a33d1324c8666b4d5df975dea32ed5a28"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a20fd8fcb257f63449f8913335ad57e45"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439">ScaleStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a20fd8fcb257f63449f8913335ad57e45">scaleStrategy</a> () const</td></tr>
<tr class="separator:a20fd8fcb257f63449f8913335ad57e45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bc83d85a4f81d4abdd3fa5042d7b833"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a4bc83d85a4f81d4abdd3fa5042d7b833">setTickStep</a> (double step)</td></tr>
<tr class="separator:a4bc83d85a4f81d4abdd3fa5042d7b833"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbc7c9bcd80b3dc3edee5f0519d301f6"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#acbc7c9bcd80b3dc3edee5f0519d301f6">setScaleStrategy</a> (<a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439">ScaleStrategy</a> strategy)</td></tr>
<tr class="separator:acbc7c9bcd80b3dc3edee5f0519d301f6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pub_methods_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pub_methods_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Metody publiczne dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:a8fcf23c79ebd72202fe79253f9f01ea8 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8fcf23c79ebd72202fe79253f9f01ea8">QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a8fcf23c79ebd72202fe79253f9f01ea8 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1119d6f09ad720f9c5dfdd2559047161 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a1119d6f09ad720f9c5dfdd2559047161">~QCPAxisTicker</a> ()</td></tr>
<tr class="separator:a1119d6f09ad720f9c5dfdd2559047161 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a58df76f2ec3eb48401bdd314b0e14ba1 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a58df76f2ec3eb48401bdd314b0e14ba1">tickStepStrategy</a> () const</td></tr>
<tr class="separator:a58df76f2ec3eb48401bdd314b0e14ba1 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaf9edbe4169ce55e216fd067cc139452 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aaf9edbe4169ce55e216fd067cc139452">tickCount</a> () const</td></tr>
<tr class="separator:aaf9edbe4169ce55e216fd067cc139452 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac0c6e9587c36fdeefb5518c00fe7ab15 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac0c6e9587c36fdeefb5518c00fe7ab15">tickOrigin</a> () const</td></tr>
<tr class="separator:ac0c6e9587c36fdeefb5518c00fe7ab15 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73b1d847c1a12159af6bfda4ebebe7d5 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a73b1d847c1a12159af6bfda4ebebe7d5">setTickStepStrategy</a> (<a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a> strategy)</td></tr>
<tr class="separator:a73b1d847c1a12159af6bfda4ebebe7d5 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a47752abba8293e6dc18491501ae34008 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a> (int count)</td></tr>
<tr class="separator:a47752abba8293e6dc18491501ae34008 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab509c7e500293bf66a8409f0d7c23943 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab509c7e500293bf66a8409f0d7c23943">setTickOrigin</a> (double origin)</td></tr>
<tr class="separator:ab509c7e500293bf66a8409f0d7c23943 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefbd11725678ca824add8cf926cbc856 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#aefbd11725678ca824add8cf926cbc856">generate</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, const QLocale &amp;locale, QChar formatChar, int precision, QVector&lt; double &gt; &amp;ticks, QVector&lt; double &gt; *subTicks, QVector&lt; QString &gt; *tickLabels)</td></tr>
<tr class="separator:aefbd11725678ca824add8cf926cbc856 inherit pub_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-methods" name="pro-methods"></a>
Metody chronione</h2></td></tr>
<tr class="memitem:a9e99da01ab92a86aed415eef32fed13a"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a9e99da01ab92a86aed415eef32fed13a">getTickStep</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range) <a class="el" href="qcustomplot_8hpp.html#a42cc5eaeb25b85f8b52d2a4b94c56f55">Q_DECL_OVERRIDE</a></td></tr>
<tr class="separator:a9e99da01ab92a86aed415eef32fed13a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_methods_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pro_methods_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Metody chronione dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:a910d69bcec2de37e92d8d4e1ecf201e2 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">getTickStep</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:a910d69bcec2de37e92d8d4e1ecf201e2 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ccc403ced7a1457ce6ba293509933c8 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ccc403ced7a1457ce6ba293509933c8">getSubTickCount</a> (double tickStep)</td></tr>
<tr class="separator:a4ccc403ced7a1457ce6ba293509933c8 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8201eb4aa8be192bf786b126eb5ee089 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a8201eb4aa8be192bf786b126eb5ee089">getTickLabel</a> (double tick, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a8201eb4aa8be192bf786b126eb5ee089 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af4645a824c7bd2ca8fc7e86ebf9055bd inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#af4645a824c7bd2ca8fc7e86ebf9055bd">createTickVector</a> (double tickStep, const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range)</td></tr>
<tr class="separator:af4645a824c7bd2ca8fc7e86ebf9055bd inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9a6435723fa0bd366d1ea4c2cff7c33f inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; double &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a9a6435723fa0bd366d1ea4c2cff7c33f">createSubTickVector</a> (int subTickCount, const QVector&lt; double &gt; &amp;ticks)</td></tr>
<tr class="separator:a9a6435723fa0bd366d1ea4c2cff7c33f inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a804050e408f37a0b9770c6654ebe6aa7 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">virtual QVector&lt; QString &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a804050e408f37a0b9770c6654ebe6aa7">createLabelVector</a> (const QVector&lt; double &gt; &amp;ticks, const QLocale &amp;locale, QChar formatChar, int precision)</td></tr>
<tr class="separator:a804050e408f37a0b9770c6654ebe6aa7 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab28cc1ab549489be7975f5ce7e717916 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ab28cc1ab549489be7975f5ce7e717916">trimTicks</a> (const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;range, QVector&lt; double &gt; &amp;ticks, bool keepOneOutlier) const</td></tr>
<tr class="separator:ab28cc1ab549489be7975f5ce7e717916 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4ea0a7c4ca1c610f92b9bd5944ab4260 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260">pickClosest</a> (double target, const QVector&lt; double &gt; &amp;candidates) const</td></tr>
<tr class="separator:a4ea0a7c4ca1c610f92b9bd5944ab4260 inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:abe99aaaf6c512812869b0a19937c76ff inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff">getMantissa</a> (double input, double *magnitude=nullptr) const</td></tr>
<tr class="separator:abe99aaaf6c512812869b0a19937c76ff inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7df6c72876b7abd67c932663a0b0f6a inherit pro_methods_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a">cleanMantissa</a> (double input) const</td></tr>
<tr class="separator:ac7df6c72876b7abd67c932663a0b0f6a inherit pro_methods_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pro-attribs" name="pro-attribs"></a>
Atrybuty chronione</h2></td></tr>
<tr class="memitem:a4aeef2d3eaa57ec56f422ab1f82175d2"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a4aeef2d3eaa57ec56f422ab1f82175d2">mTickStep</a></td></tr>
<tr class="separator:a4aeef2d3eaa57ec56f422ab1f82175d2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a61ead1590161769b0d36e09419e67b10"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439">ScaleStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a61ead1590161769b0d36e09419e67b10">mScaleStrategy</a></td></tr>
<tr class="separator:a61ead1590161769b0d36e09419e67b10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="inherit_header pro_attribs_class_q_c_p_axis_ticker"><td colspan="2" onclick="javascript:toggleInherit('pro_attribs_class_q_c_p_axis_ticker')"><img src="closed.png" alt="-"/>&#160;Atrybuty chronione dziedziczone z <a class="el" href="class_q_c_p_axis_ticker.html">QCPAxisTicker</a></td></tr>
<tr class="memitem:ac059d6d670b2f6132c593fb4de156701 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_q_c_p_axis_ticker.html#ab6d2f9d9477821623ac9bc4b21ddf49a">TickStepStrategy</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#ac059d6d670b2f6132c593fb4de156701">mTickStepStrategy</a></td></tr>
<tr class="separator:ac059d6d670b2f6132c593fb4de156701 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a14a35b47d1aad11b08d18ea0e25937b8 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a14a35b47d1aad11b08d18ea0e25937b8">mTickCount</a></td></tr>
<tr class="separator:a14a35b47d1aad11b08d18ea0e25937b8 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a560ef9347b1aa599a9bf0e2f29d3ec16 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memItemLeft" align="right" valign="top">double&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_q_c_p_axis_ticker.html#a560ef9347b1aa599a9bf0e2f29d3ec16">mTickOrigin</a></td></tr>
<tr class="separator:a560ef9347b1aa599a9bf0e2f29d3ec16 inherit pro_attribs_class_q_c_p_axis_ticker"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Opis szczegółowy</h2>
<div class="textblock"><div class="image">
<img src="axisticker-fixed.png" alt=""/>
</div>
<p>This <a class="el" href="class_q_c_p_axis_ticker.html" title="The base class tick generator used by QCPAxis to create tick positions and tick labels.">QCPAxisTicker</a> subclass generates ticks with a fixed tick step set with <a class="el" href="class_q_c_p_axis_ticker_fixed.html#a4bc83d85a4f81d4abdd3fa5042d7b833">setTickStep</a>. It is also possible to allow integer multiples and integer powers of the specified tick step with <a class="el" href="class_q_c_p_axis_ticker_fixed.html#acbc7c9bcd80b3dc3edee5f0519d301f6">setScaleStrategy</a>.</p>
<p>A typical application of this ticker is to make an axis only display integers, by setting the tick step of the ticker to 1.0 and the scale strategy to <a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439a22f651785f6412645837421896561104">ssMultiples</a>.</p>
<p>Another case is when a certain number has a special meaning and axis ticks should only appear at multiples of that value. In this case you might also want to consider <a class="el" href="class_q_c_p_axis_ticker_pi.html">QCPAxisTickerPi</a> because despite the name it is not limited to only pi symbols/values.</p>
<p>The ticker can be created and assigned to an axis like this: </p><div class="fragment"></div><!-- fragment --> 
<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01898">1898</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>
</div><h2 class="groupheader">Dokumentacja składowych wyliczanych</h2>
<a id="a15b3d38b935d404b1311eb85cfb6a439" name="a15b3d38b935d404b1311eb85cfb6a439"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15b3d38b935d404b1311eb85cfb6a439">&#9670;&#160;</a></span>ScaleStrategy</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439">QCPAxisTickerFixed::ScaleStrategy</a></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Defines how the axis ticker may modify the specified tick step (<a class="el" href="class_q_c_p_axis_ticker_fixed.html#a4bc83d85a4f81d4abdd3fa5042d7b833">setTickStep</a>) in order to control the number of ticks in the axis range.</p>
<dl class="section see"><dt>Zobacz również</dt><dd><a class="el" href="class_q_c_p_axis_ticker_fixed.html#acbc7c9bcd80b3dc3edee5f0519d301f6">setScaleStrategy</a> </dd></dl>
<table class="fieldtable">
<tr><th colspan="2">Wartości wyliczeń</th></tr><tr><td class="fieldname"><a id="a15b3d38b935d404b1311eb85cfb6a439a6621275677a05caa0de204ae3956b85f" name="a15b3d38b935d404b1311eb85cfb6a439a6621275677a05caa0de204ae3956b85f"></a>ssNone&#160;</td><td class="fielddoc"><p>Modifications are not allowed, the specified tick step is absolutely fixed. This might cause a high tick density and overlapping labels if the axis range is zoomed out. </p>
</td></tr>
<tr><td class="fieldname"><a id="a15b3d38b935d404b1311eb85cfb6a439a22f651785f6412645837421896561104" name="a15b3d38b935d404b1311eb85cfb6a439a22f651785f6412645837421896561104"></a>ssMultiples&#160;</td><td class="fielddoc"><p>An integer multiple of the specified tick step is allowed. The used factor follows the base class properties of <a class="el" href="class_q_c_p_axis_ticker.html#a73b1d847c1a12159af6bfda4ebebe7d5">setTickStepStrategy</a> and <a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a>. </p>
</td></tr>
<tr><td class="fieldname"><a id="a15b3d38b935d404b1311eb85cfb6a439ac39d5813e9165ebd494307ae61ce5dce" name="a15b3d38b935d404b1311eb85cfb6a439ac39d5813e9165ebd494307ae61ce5dce"></a>ssPowers&#160;</td><td class="fielddoc"><p>An integer power of the specified tick step is allowed. </p>
</td></tr>
</table>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01908">1908</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja konstruktora i destruktora</h2>
<a id="a96d2b053a15f9b8e94550c3efeff6a34" name="a96d2b053a15f9b8e94550c3efeff6a34"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a96d2b053a15f9b8e94550c3efeff6a34">&#9670;&#160;</a></span>QCPAxisTickerFixed()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">QCPAxisTickerFixed::QCPAxisTickerFixed </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Constructs the ticker and sets reasonable default values. Axis tickers are commonly created managed by a QSharedPointer, which then can be passed to <a class="el" href="class_q_c_p_axis.html#a4ee03fcd2c74d05cd1a419b9af5cfbdc">QCPAxis::setTicker</a>. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07116">7116</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<h2 class="groupheader">Dokumentacja funkcji składowych</h2>
<a id="a33d1324c8666b4d5df975dea32ed5a28" name="a33d1324c8666b4d5df975dea32ed5a28"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a33d1324c8666b4d5df975dea32ed5a28">&#9670;&#160;</a></span>tickStep()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerFixed::tickStep </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01917">1917</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a20fd8fcb257f63449f8913335ad57e45" name="a20fd8fcb257f63449f8913335ad57e45"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a20fd8fcb257f63449f8913335ad57e45">&#9670;&#160;</a></span>scaleStrategy()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439">ScaleStrategy</a> QCPAxisTickerFixed::scaleStrategy </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01918">1918</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a4bc83d85a4f81d4abdd3fa5042d7b833" name="a4bc83d85a4f81d4abdd3fa5042d7b833"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bc83d85a4f81d4abdd3fa5042d7b833">&#9670;&#160;</a></span>setTickStep()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerFixed::setTickStep </td>
          <td>(</td>
          <td class="paramtype">double&#160;</td>
          <td class="paramname"><em>step</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets the fixed tick interval to <em>step</em>.</p>
<p>The axis ticker will only use this tick step when generating axis ticks. This might cause a very high tick density and overlapping labels if the axis range is zoomed out. Using <a class="el" href="class_q_c_p_axis_ticker_fixed.html#acbc7c9bcd80b3dc3edee5f0519d301f6">setScaleStrategy</a> it is possible to relax the fixed step and also allow multiples or powers of <em>step</em>. This will enable the ticker to reduce the number of ticks to a reasonable amount (see <a class="el" href="class_q_c_p_axis_ticker.html#a47752abba8293e6dc18491501ae34008">setTickCount</a>). </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07131">7131</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="acbc7c9bcd80b3dc3edee5f0519d301f6" name="acbc7c9bcd80b3dc3edee5f0519d301f6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acbc7c9bcd80b3dc3edee5f0519d301f6">&#9670;&#160;</a></span>setScaleStrategy()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void QCPAxisTickerFixed::setScaleStrategy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439">QCPAxisTickerFixed::ScaleStrategy</a>&#160;</td>
          <td class="paramname"><em>strategy</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Sets whether the specified tick step (<a class="el" href="class_q_c_p_axis_ticker_fixed.html#a4bc83d85a4f81d4abdd3fa5042d7b833">setTickStep</a>) is absolutely fixed or whether modifications may be applied to it before calculating the finally used tick step, such as permitting multiples or powers. See <a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439">ScaleStrategy</a> for details.</p>
<p>The default strategy is <a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439a6621275677a05caa0de204ae3956b85f">ssNone</a>, which means the tick step is absolutely fixed. </p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07146">7146</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>

</div>
</div>
<a id="a9e99da01ab92a86aed415eef32fed13a" name="a9e99da01ab92a86aed415eef32fed13a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9e99da01ab92a86aed415eef32fed13a">&#9670;&#160;</a></span>getTickStep()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerFixed::getTickStep </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="class_q_c_p_range.html">QCPRange</a> &amp;&#160;</td>
          <td class="paramname"><em>range</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span><span class="mlabel">virtual</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Reimplementowana z <a class="el" href="class_q_c_p_axis_ticker.html#a910d69bcec2de37e92d8d4e1ecf201e2">QCPAxisTicker</a>.</p>

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8cpp_source.html#l07161">7161</a> pliku <a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a>.</p>
<div class="dynheader">
Oto graf wywołań dla tej funkcji:</div>
<div class="dyncontent">
<div class="center"><img src="class_q_c_p_axis_ticker_fixed_a9e99da01ab92a86aed415eef32fed13a_cgraph.png" border="0" usemap="#aclass_q_c_p_axis_ticker_fixed_a9e99da01ab92a86aed415eef32fed13a_cgraph" alt=""/></div>
<map name="aclass_q_c_p_axis_ticker_fixed_a9e99da01ab92a86aed415eef32fed13a_cgraph" id="aclass_q_c_p_axis_ticker_fixed_a9e99da01ab92a86aed415eef32fed13a_cgraph">
<area shape="rect" title=" " alt="" coords="5,47,148,87"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#ac7df6c72876b7abd67c932663a0b0f6a" title=" " alt="" coords="196,29,397,55"/>
<area shape="poly" title=" " alt="" coords="148,56,182,53,183,58,149,62"/>
<area shape="rect" href="class_q_c_p_range.html#a62326e7cc4316b96df6a60813230e63f" title=" " alt="" coords="239,79,355,104"/>
<area shape="poly" title=" " alt="" coords="149,72,226,81,225,86,148,78"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#abe99aaaf6c512812869b0a19937c76ff" title=" " alt="" coords="445,5,633,31"/>
<area shape="poly" title=" " alt="" coords="397,29,432,26,432,31,398,35"/>
<area shape="rect" href="class_q_c_p_axis_ticker.html#a4ea0a7c4ca1c610f92b9bd5944ab4260" title=" " alt="" coords="447,55,632,80"/>
<area shape="poly" title=" " alt="" coords="398,50,433,54,433,59,397,55"/>
</map>
</div>

</div>
</div>
<h2 class="groupheader">Dokumentacja atrybutów składowych</h2>
<a id="a4aeef2d3eaa57ec56f422ab1f82175d2" name="a4aeef2d3eaa57ec56f422ab1f82175d2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4aeef2d3eaa57ec56f422ab1f82175d2">&#9670;&#160;</a></span>mTickStep</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">double QCPAxisTickerFixed::mTickStep</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01926">1926</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<a id="a61ead1590161769b0d36e09419e67b10" name="a61ead1590161769b0d36e09419e67b10"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a61ead1590161769b0d36e09419e67b10">&#9670;&#160;</a></span>mScaleStrategy</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_q_c_p_axis_ticker_fixed.html#a15b3d38b935d404b1311eb85cfb6a439">ScaleStrategy</a> QCPAxisTickerFixed::mScaleStrategy</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">protected</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definicja w linii <a class="el" href="qcustomplot_8hpp_source.html#l01927">1927</a> pliku <a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a>.</p>

</div>
</div>
<hr/>Dokumentacja dla tej klasy została wygenerowana z plików:<ul>
<li><a class="el" href="qcustomplot_8hpp_source.html">qcustomplot.hpp</a></li>
<li><a class="el" href="qcustomplot_8cpp_source.html">qcustomplot.cpp</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="class_q_c_p_axis_ticker_fixed.html">QCPAxisTickerFixed</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
